div#chat {
  display: flex;
  flex-direction: column;

  visibility: hidden;
  position: absolute;
  bottom: 56px;
  left: 8px;
  z-index: 200;

  width: 512px - 8px;
  height: 386px - 8px;

  @media (max-width: 512px) {
    width: 100vw;
    height: 100vh;
    top: 0px;
    left: 0px;
    bottom: inherit;
  }

  button#chat-close {
    position: absolute;
    right: 8px;
    top: 8px;
    margin: 0px;
    padding: 0px;

    background: transparent;
    font-size: 24px;
    color: $color-primary;
  }

  div#chat-box {
    padding: 16px;
    overflow-y: auto;
    height: 386px - 8px - 48px;

    @media (max-width: 512px) {
      height: calc(100vh - 32px);
    }

    background-color: $color-background;
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);

    div.chat-line {
      display: flex;
      margin-bottom: 8px;

      div.chat-name {
        text-align: right;

        color: $color-primary;
        font-weight: bold;
      }

      div.chat-text {
        flex-grow: 1;
        padding-left: 16px;
      }
    }
  }

  div.chat-send-container {
    display: flex;
    bottom: 0px;
    width: 100%;
    z-index: 201;

    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);

    input#chat-input {
      display: block;
      background-color: white;
      width: calc(100% -  64px);
      padding: 8px 16px;

      line-height: 0;
      height: 48px;
      font-size: 16px;

      outline: none;
    }

    button#chat-send {
      width: 64px;
      height: 48px;
      color: white;
    }
  }
}
